%
% Demonstrates the ability to use boundaries.
%
% See also: Example_Maize, ruleBoundDeflection
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
% 

function slides = Example_Bounds

%dfunc = @(p) dblock(p, -6,6,-1,1,-20,0.1);
dfunc = @(p) dsphere(p,0,0,-6,7);

% 1st Order
p{2}.r = 6.4;
p{2}.rs = 0;
p{2}.lb = 0.7;    
p{2}.lbs = 0.07;               
p{2}.la = 2;            
p{2}.las = 0.2;                     
p{2}.ln = 0.7;               
p{2}.lns = 0.07;       
p{2}.nob = 7;                  
p{2}.nobs = 0.7;                 
p{2}.a = 0.02;                
p{2}.as = 0;                   
p{2}.theta = 63/360*2*pi;       
p{2}.thetas = 15/360*2*pi; 
p{2}.color = [140/255,125/255,40/255];
p{2}.sigma = 6*pi/40;    %p{2}.alpha = 1*pi/20; %0.5;   
p{2}.N=1;
%
% set up the boundaries
%
deflection = @(y,dx) ruleGravitropismN(y,p{2}.N,p{2}.sigma,dx);
p{2}.bend= @(y,dx) ruleBoundDeflection(y,dx,dfunc,deflection);

% 0th Order
p{1}.r = 2;
p{1}.rs = 0;
p{1}.lb = 0.7;          
p{1}.lbs = 0.07;             
p{1}.la = 15.7;       
p{1}.las = 1.57;                  
p{1}.ln = 0.7;                 
p{1}.lns = 0.07; 
p{1}.nob = 50;  
p{1}.nobs = 5;   
p{1}.a = 0.04;                 
p{1}.as = 0;                                      
p{1}.color = [1,0,0];
p{1}.sigma = pi/20;  %p{1}.alpha = 1*pi/20; %6; %0.5;             
p{1}.N=2;
%
% set up the boundaries
%
deflection = @(y,dx) ruleGravitropismN(y,p{1}.N,p{1}.sigma,dx);
p{1}.bend= @(y,dx) ruleBoundDeflection(y,dx,dfunc,deflection);

root = createBranchedRoot(p, 0.3 );
n0 = 15; % initial number of roots
r0 = 5;  % initial radius of growth cone
rootsystem = createRootSystem(root,n0,r0,0.5);

slides = simulate(rootsystem,30,10,false);
showSlides(slides);

%animate('box.avi',rootsystem,60,10,[-6,6,-1,1,-20,0.1,0 1]);
%animate('sphere.avi',rootsystem,60,10,[-7,7,-7,7,-13,1,0 1]);

% function d=dblock(p,x1,x2,y1,y2,z1,z2)
% d=-min(min(min(min(min(-z1+p(:,3),z2-p(:,3)),-y1+p(:,2)),y2-p(:,2)),-x1+p(:,1)),x2-p(:,1));

function d=dsphere(p,xc,yc,zc,r)
d=sqrt((p(:,1)-xc).^2+(p(:,2)-yc).^2+(p(:,3)-zc).^2)-r;


