%
% This example shows how to set up a L-system describing the Koch-curve.
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
%
clear all;

r = getTurtle();
r.LW.width = 2;
r.Plus.delta = pi/2;
r.Minus.delta = pi/2;

r.F.apply = @(x,t) {x r.Minus x r.Plus x r.Plus x x r.Minus x r.Minus x r.Plus  x};

initiator = { r.LW r.F r.Minus r.F r.Minus r.F r.Minus r.F };
str = writeString(initiator);
disp(str);

new = initiator;
for i = 1: 3
    new = applyRules(new);
    str = writeString(new);
    disp(str);
end

plotLines(new);
view(2);


