function plotLines(X,Y,R,C)
% plotLines: Plots a roots system using lines
%
% plotTubes(X)
% X             :L-System string
%
% plotTubes(X,Y,R,C)
% X           :start points of segments
% Y           :end points of segments
% R           :radii of segments
%        
% See also: getSegments.
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
% 

if (nargin==1)
    [X,Y,R,C] = getSegments(X);
end

% draw lines
for i=1 : length(X)
    line([X(i,1), Y(i,1)],[X(i,2) Y(i,2)],[X(i,3) Y(i,3)],...
        'LineWidth', 2*R(i), 'Color', C(i,:));  
end

axis equal;
bnd = getBounds([],X,Y);
bnd = bnd + [0,0.01,0,0.01,0,0.01,0,0]; 
axis(bnd);
view(0,0)
shading interp;
camlight;
lighting gouraud;
rotate3d on


