function new = rulePlagiotropismN(y,N,sigma,dx)
% rulePlagiotropismN: The tendency to grow horicontally.
%
% Parameters:
% y         :labeled lettter (containg position, heading, color and width)
% N         :N random tries to find best heading
% sigma     :additional random noise to the heading
% dx        :spatial discretization along the root
%
% new       :resulting string
%
% See also: ruleTropismN
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
%

objfun = @(beta, alpha, y) testZ(beta, alpha,y);
new = ruleTropismN(y,N,sigma,dx,objfun);

function z=testZ(r,t,y)
%roll left
Rhp = [  1     0     0; ...
    0 cos(r) -sin(r) ;...
    0 sin(r)  cos(r) ] ;
R2 = y.R * Rhp;
%turn
Rum = [    cos(t) sin(t) 0;...
    -sin(t) cos(t) 0; ...
    0       0      1];
R3 = R2 * Rum;
z = abs(R3(3,1)); %+abs(t)*4;


