function showSlides(slides, newfig)
% showSlides: Creates a slide show of a list of L-System strings.
%
% Parameters:
% slides            :a list of L-System strings
% (newfigure)       :plots into a new figure (default newfig=true).
%
% See also: plotTubes
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
%

if nargin<2
    newfig=true;
end

if newfig
    figure;
end
hold on;

if length(slides)>1
    bnd = getBounds(slides{end});    
    bnd = bnd + [0,0.01,0,0.01,0,0.01,0,0]; 
end
az=-40;
el=30;

for i=1 : length(slides)
    
    cla;  
    plotTubes(slides{i});

    title(['Slide: ' num2str(i)]);
    if newfig
        xlabel('X');
        ylabel('Y');
        zlabel('Z');
    end
    if length(slides)>1
        axis equal;
        axis(bnd);
    end
    view(az,el)
    
    if (length(slides)>1)
        disp('press key for next slide');
        while waitforbuttonpress~=1
        end
    end
    [az,el] = view;
        
end

